Update Catalog Item Version
Patch the catalog item version with form id.
Patch the catalog item version with form id. Nullify the formId if the formId is an empty string.
Request
URI
PATCH
https://{api_host}/catalog/api/admin/items/{id}/versions/{versionId}
COPY
Path Parameters
string
id
Required
The unique id of catalog item to update.
string
versionId
Required
The name of catalog item version to update.
Request Body
AdminCatalogItemVersionPatch
of type(s)
application/json
Required
{
"formId": "string"
}
string
formId
Optional
form id
Responses
200
OK
Operation doesn't return any data structure
401
Unauthorized
Operation doesn't return any data structure
Code Samples
COPY
curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}'
On This Page
Catalog Admin Items Operations
GET
Get Catalog Items For Admin
GET
Get Catalog Item For Admin
PATCH
Update Catalog Item
GET
Get Versions For Admin
GET
Get Version By Id For Admin
PATCH
Update Catalog Item Version